LogoopenSUSE Build Service > Projects
Sign Up | Log In

Perl compatibility regular expressions (PCRE) for OCaml
http://mmottl.github.io/pcre-ocaml/

Perl compatibile regular expressions (PCRE) for OCaml.


Source Files (show merged sources derived from linked package)

Filename Size Changed Actions
ocaml-pcre-warnings.patch 862 Bytes Download File
ocaml-pcre.changes 2.48 KB Download File
ocaml-pcre.spec 3.07 KB Download File
pcre-ocaml-7.2.3.tar.xz 72 KB Download File

Comments for devel:languages:ocaml (1)

repo-checker wrote almost 2 years ago

The version of this package in openSUSE:Factory has installation issues and may not be installable:

can't install ocaml-pcre-devel-7.2.3-1.4.i586:
  nothing provides ocaml(Array) = 3e56b0036c5d9e653763f3450236560d needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)
  nothing provides ocaml(Buffer) = 3bd1af04573ce2da7fc3dc04403e852e needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)
  nothing provides ocaml(Bytes) = 6dc691300ced97c0e319cbcc0a715044 needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)
  nothing provides ocaml(Callback) = 0c7b4d40d19626212cfc8cc55bbc356e needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)
  nothing provides ocaml(CamlinternalFormatBasics) = 9642e3ed163e46770985ca668738ed5f needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)
  nothing provides ocaml(Char) = 4a517d12500bc3789093103f6fee94bf needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)
  nothing provides ocaml(List) = ac5f6095cc0a546330ada0df0986a497 needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)
  nothing provides ocaml(Pervasives) = 999b28e3b7638771c87eebf5a8325e42 needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)
  nothing provides ocaml(String) = c28a3ca42a30c6ffa0bbab4a05329226 needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)
  nothing provides ocaml(Sys) = c9608ce7bf745054a217110dcaac126e needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)
  nothing provides ocaml(runtime) = 4.03.0 needed by ocaml-pcre-devel-7.2.3-1.4.i586
    (we have ocaml-runtime-4.05.0-1.1.i586)

can't install ocaml-pcre-devel-7.2.3-1.4.x86_64:
  nothing provides ocaml(Buffer) = 3bd1af04573ce2da7fc3dc04403e852e needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)
  nothing provides ocaml(CamlinternalFormatBasics) = 9642e3ed163e46770985ca668738ed5f needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)
  nothing provides ocaml(List) = ac5f6095cc0a546330ada0df0986a497 needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)
  nothing provides ocaml(Pervasives) = 999b28e3b7638771c87eebf5a8325e42 needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)
  nothing provides ocaml(String) = c28a3ca42a30c6ffa0bbab4a05329226 needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)
  nothing provides ocaml(Sys) = c9608ce7bf745054a217110dcaac126e needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)
  nothing provides ocaml(runtime) = 4.03.0 needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)
  nothing provides ocaml(Array) = 3e56b0036c5d9e653763f3450236560d needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)
  nothing provides ocaml(Char) = 4a517d12500bc3789093103f6fee94bf needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)
  nothing provides ocaml(Callback) = 0c7b4d40d19626212cfc8cc55bbc356e needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)
  nothing provides ocaml(Bytes) = 6dc691300ced97c0e319cbcc0a715044 needed by ocaml-pcre-devel-7.2.3-1.4.x86_64
    (we have ocaml-runtime-4.05.0-1.1.x86_64)

Login required, please login or signup in order to comment